## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pname periodictable

%bcond_without check

%global _description %{expand:
This package provides a periodic table of the elements
with support for mass, density and xray/neutron
scattering information.

Masses, densities and natural abundances come from
the NIST Physics Laboratory, but do not represent a
critical evaluation by NIST scientists.

Neutron scattering calculations use values collected
by the Atomic Institute of the Austrian Universities.
These values do corresponding to those from other packages,
though there are some differences depending to the tables used.
Bound coherent neutron scattering for gold in particular is
significantly different from older value: 7.63(6) as 
easured in 1974 compared to 7.90(7) as measured in 1990.

X-ray scattering calculations use a combination of empirical
and theoretical values from the LBL Center for X-ray Optics.
These values differ from those given in other sources such as
the International Tables for Crystallography, Volume C, and so
may give different results from other packages.}

Name:           python-%{pname}
Version:        2.0.2
Release:        %autorelease
Summary:        Extensible periodic table of the elements
License:        BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            http://www.reflectometry.org/danse/elements.html
Source0:        https://github.com/pkienzle/%{pname}/archive/v%{version}/%{pname}-%{version}.tar.gz
BuildArch:      noarch
Patch0:         %{name}-remove_unrecognized_flag.patch

%description
%{_description}.

%package -n python3-%{pname}
Summary: Extensible periodic table of the elements

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
BuildRequires:  python3-pyparsing
%py_provides python3-%{pname}

%description -n python3-%{pname}
%{_description}.


%prep
%autosetup -n %{pname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pname}

%if %{with check}
%check
%pytest -m "not network"
%endif

%files -n python3-%{pname} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Tue Jul 15 2025 Miroslav Suchý <msuchy@redhat.com> - 2.0.2-2
- Correcting license to SPDX formula

* Sun Jul 13 2025 Antonio Trande <sagitter@fedoraproject.org> - 2.0.2-1
- Release 2.0.2 (rhbz#2377985)

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.6.1-14
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 10 2025 Sandro <devel@penguinpee.nl> - 1.6.1-12
- Apply patch for NumPy 2.x
- Close RHBZ#2336966

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 1.6.1-11
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.6.1-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.6.1-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.1-2
- Rebuilt for pyparsing-3.0.9

* Fri Jun 24 2022 Antonio Trande <sagitter@fedoraproject.org> - 1.6.1-1
- Release 1.6.1

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.3-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.5.3-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 26 2020 Antonio T <sagitter@fedoraproject.org> - 1.5.3-1
- Release 1.5.3

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 24 2020 sagitter <sagitter@fedoraproject.org> - 1.5.2-4
- BuildRequires python3-setuptools explicitly

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.5.2-3
- Rebuilt for Python 3.9

* Wed Mar 04 2020 sagitter <sagitter@fedoraproject.org> - 1.5.2-2
- Remove bad patch

* Wed Mar 04 2020 sagitter <sagitter@fedoraproject.org> - 1.5.2-1
- First build
## END: Generated by rpmautospec
